//智能营销
import ecm from '../../views/ecm'
import ecmList from '../../views/ecm/list'
import ecmForm from '../../views/ecm/form'
import batchList from '../../views/ecm/batch-list'
import currentList from '../../views/ecm/current-list'



export default {
  path: 'ecm',
  name: '智能营销管理',
  component: ecm,
  redirect:'/ecm/list',
  children:[
    {
      path: 'list',
      name: '智能营销',
      component: ecmList,
      meta: {
        path:'/ecm/list'
      }
    },
    {
      path: 'edit/:id',
      name: '智能营销编辑',
      component: ecmForm,
      meta: {
        type: 'edit',
        path:'/ecm/list'
      }
    },
    {
      path: 'add',
      name: '智能营销新增',
      component: ecmForm,
      meta: {
        type: 'add',
        path:'/ecm/list'
      }
    },
    {
      path: 'batchlist/:id/:name',
      name: '批次记录',
      component: batchList,
      meta: {
        path:'/ecm/list'
      }
    },
    {
      path: 'currentlist/:id/:name',
      name: '实时发送记录',
      component: currentList,
      meta: {
        path:'/ecm/list'
      }
    },
  ]
}



